summary refs log tree commit diff
path: root/scripts-dev
diff options
context:
space:
mode:
authorAmber Brown <hawkowl@atleastfornow.net>2018-09-27 00:23:21 +1000
committerGitHub <noreply@github.com>2018-09-27 00:23:21 +1000
commitd4e0861ff94a809ad36c6b951c1e903457c44def (patch)
tree6c31fb3654db25b72f1afe94da60daabd20689a2 /scripts-dev
parentMerge branch 'develop' into rav/hacky_cache_factor_fix (diff)
downloadsynapse-d4e0861ff94a809ad36c6b951c1e903457c44def.tar.xz
Reduce the load on our CI (#3957)
* changelog

* reduce circleci config

* plus a handy script

* fix regex
Diffstat (limited to 'scripts-dev')
-rwxr-xr-xscripts-dev/next_github_number.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts-dev/next_github_number.sh b/scripts-dev/next_github_number.sh
new file mode 100755
index 0000000000..376280025a
--- /dev/null
+++ b/scripts-dev/next_github_number.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+# Fetch the current GitHub issue number, add one to it -- presto! The likely
+# next PR number.
+CURRENT_NUMBER=`curl -s "https://api.github.com/repos/matrix-org/synapse/issues?state=all&per_page=1" | jq -r ".[0].number"`
+CURRENT_NUMBER=$((CURRENT_NUMBER+1))
+echo $CURRENT_NUMBER
\ No newline at end of file